<template>
	<div v-if="true">
    <div class="white-block">
      <div class="padding">
        <div class="row">
          <div class="columns">
            <h3>Привязать социальные сети:</h3>
          </div>
        </div>
      </div>
        <hr>
      <div class="padding">
        <div class="row social-binding-block">
          <div class="columns center three">
            <div class="add-viget">
              <a target="_blank"
                 class="vk"
                 @click="checkSocialNetworks('В контакте')"
                 :class="{active:$social.vk}"

              >Вконтакте</a>
            </div>
          </div>
          <div class="columns center three second">
            <div class="add-viget">
              <a target="_blank"
                 class="ok"
                 @click="checkSocialNetworks('Одноклассники')"
                 :class="{active: $social.od}"
              >Одноклассники</a>
            </div>
          </div>
          <div class="columns center three">
            <div class="add-viget">
              <a
                 class="fb"
                 target="_blank"
                 @click="checkSocialNetworks('Facebook')"
                 :class="{active:$social.fb}"
              >Facebook</a>
            </div>
          </div>
          <div class="columns center three second">
            <div class="add-viget">
              <a
                 class="insta"
                 target="_blank"
                 @click="checkSocialNetworks('Instagram')"
                 :class="{active:$social.ig}"
              >instagram</a>
            </div>
          </div>
        </div>
      </div>
    </div>

    <subscription></subscription>

     <modal name="untie-social-network"
            class="arcticmodal-container"
            height="auto"
            :minWidth="300"
            :resizable="true"
            :adaptive="true"
            :reset="true"
            :delay="1">
       <div class="box-modal questionnaire-modal" style="margin: 0">
         <div class="container m-header">
           <div @click="$modal.hide('untie-social-network')" class="box-modal_close arcticmodal-close"></div>
             <div class="row">
               <div class="column" style="margin:0;padding:0">
                 <h3 class="center">Отвязать социальную сеть</h3>
               </div>
             </div>
         </div>
         <div class="container">
           <div class="row">
             Вы уверены, что хотите отвязать свой аккаунт от социальной сети {{social_name}}? Это понизит вероятность одобрения.
             <div class="columns twelve center" style="margin: 20px 0 -30px;">
               <button @click="untieSocialNetwork()">Отвязать</button>
               <button class="blue" @click="$modal.hide('untie-social-network')">Отмена</button>
             </div>
           </div>
         </div>
       </div>
     </modal>
 </div>
</template>

<script>

import Subscription from './Subscription'

export default {
   name: 'contact-give-money',
   components: {Subscription},
   data () {
     return {
       social_name: '',
       logo: ''
     }
   },
  computed : {
      vk () {
         let UrlVK = encodeURIComponent('http://webbankir.ru/lk/core/socialnetwork/vk/callback.php');
         return `https://oauth.vk.com/authorize?client_id=4212016&display=page&redirect_uri=${UrlVK}&scope=4525526&response_type=code&v=5.85&state=${this.$user.id === 0 ? this.$store.getters.$authId : this.$user.id}-1-1`
      },
      od () {
         return `https://connect.ok.ru/oauth/authorize?client_id=316697856&scope=VALUABLE_ACCESS;PHOTO_CONTENT;APP_INVITE;GET_EMAIL&response_type=code&redirect_uri=https://webbankir.com/lk/core/socialnetwork/od/callback.php%3Fstate%3D${this.$user.id === 0 ? this.$store.getters.$authId : this.$user.id}-1-1&layout=w`
      },
      ig () {
         return `https://api.instagram.com/oauth/authorize/?client_id=9c82c1312b4b48c1b42468e09e8088bf&redirect_uri=https://webbankir.com/lk/core/socialnetwork/ig/callback.php&response_type=code&state=${this.$user.id === 0 ? this.$store.getters.$authId : this.$user.id}-1-1`
      },
      fb () {
         let UrlFB = encodeURIComponent(`https://www.facebook.com/v2.7/dialog/oauth?redirect_uri=https://webbankir.com/lk/core/socialnetwork/fb/callback.php&state=7329809-1-1&scope=user_friends,email&response_type=code&client_id=217289775135561&ret=login&logger_id=db9d9c1c-7666-df20-6141-7ec6435a0379&cancel_url=https://webbankir.com/lk/core/socialnetwork/fb/callback.php?error=access_denied&error_code=200&error_description=Permissions error&error_reason=user_denied&state=${this.$user.id === 0 ? this.$store.getters.$authId : this.$user.id}-1-1#_=_`);
         return `https://www.facebook.com/login.php?skip_api_login=1&api_key=217289775135561&signed_next=1&next=${UrlFB}&display=page&locale=ru_RU&logger_id=53a68802-5c66-ef9e-9e1f-4f8d2c76e9c5`
      }
 },
 methods: {
   redirectInProfile (soc_net, status) {
     if (status === 'Успешно') {
       this.$toastr.success(`${soc_net} `, `${status}`);
       this.$store.commit('CALL_FORM_SOCIAL_NETWORK', true);
       this.$modal.show('groups-social-network');
     }
     if (status === 'Ошибка') {
       this.$toastr.error(`${soc_net} `, `${status}`);
     }
   },
   checkSocialNetworks (arg) {
     if (arg === 'В контакте')
       (this.$social.vk === false) ? this.tieSocialNetwork('vk') : this.callModalWindow(arg, 'vk')
     if (arg === 'Одноклассники')
       (this.$social.od === false) ? this.tieSocialNetwork('od') : this.callModalWindow(arg, 'od')
     if (arg === 'Facebook')
       (this.$social.fb === false) ? this.tieSocialNetwork('fb') : this.callModalWindow(arg, 'fb')
     if (arg === 'Instagram')
       (this.$social.ig === false) ? this.tieSocialNetwork('ig') : this.callModalWindow(arg, 'ig')
   },
   tieSocialNetwork (name) {
     window.open(this[name], '_blank')
   },
   callModalWindow (soc, logo) {
     this.$modal.show('untie-social-network')
     this.social_name = soc
     this.logo = logo
   },

   untieSocialNetwork () {
     this.$backend.postData('socialnetwork/user_unlink', {
       network: this.logo
     })
     .then(({data}) => {
       this.$user.socialNetworks = data.data
       this.$toastr.success(`Социальная сеть ${this.social_name} отвязана`, 'Успешно')
       this.$modal.hide('untie-social-network')
     })
     .catch((e) => {
       console.log('Ошибка по социальным сетям', e)
       this.$toastr.error('Произошла ошибка. Попробуйте повторить запрос познее', 'Ошибка!')
     })
   },

     postMessage(e) {

             if (e.data.connect && e.origin === 'https://new.webbankir.com') {
                 let urls = e.data;
                 if (urls.connect === 'success') {
                     switch (urls.stype) {
                         case 'vk':
                             this.redirectInProfile('Шаг 1 выполнен. Социальная сеть ВК привязана', 'Успешно')
                             this.$store.commit('CHANGE_STATUS_SOCIAL_NETWORK', 'vk')
                             break
                         case 'od':
                             this.redirectInProfile('Шаг 1 выполнен. Социальная сеть Одноклассники привязана', 'Успешно')
                             this.$store.commit('CHANGE_STATUS_SOCIAL_NETWORK', 'od')
                             break
                         case 'fb':
                             this.redirectInProfile('Шаг 1 выполнен. Социальная сеть Facebook привязана', 'Успешно')
                             this.$store.commit('CHANGE_STATUS_SOCIAL_NETWORK', 'fb')
                             break
                         case 'ig':
                             this.redirectInProfile('Шаг 1 выполнен. Социальная сеть Instagram привязана', 'Успешно')
                             this.$store.commit('CHANGE_STATUS_SOCIAL_NETWORK', 'ig')
                             break
                     }
                 }
                 else if (urls.connect === 'error') {
                     if (urls.type === '1') {
                         switch (urls.stype) {
                             case 'vk':
                                 this.redirectInProfile('Социальная сеть ВК была ранее привязана к другому аккаунту', 'Ошибка')
                                 break
                             case 'od':
                                 this.redirectInProfile('Социальная сеть Одноклассники была ранее привязана к другому аккаунту', 'Ошибка')
                                 break
                             case 'fb':
                                 this.redirectInProfile('Социальная сеть Facebook была ранее привязана к другому аккаунту', 'Ошибка')
                                 break
                             case 'ig':
                                 this.redirectInProfile('Социальная сеть Instagram была ранее привязана к другому аккаунту', 'Ошибка')
                                 break
                         }
                     }
                     if (urls.type === '3') {
                         switch (urls.stype) {
                             case 'vk':
                                 this.redirectInProfile('По техническим причинам социальная сеть ВК не была привязана. Попробуйте повторить запрос.', 'Ошибка')
                                 break
                             case 'od':
                                 this.redirectInProfile('По техническим причинам социальная сеть Одноклассники не была привязана. Попробуйте повторить запрос.', 'Ошибка')
                                 break
                             case 'fb':
                                 this.redirectInProfile('По техническим причинам социальная сеть Facebook не была привязана. Попробуйте повторить запрос.', 'Ошибка')
                                 break
                             case 'ig':
                                 this.redirectInProfile('По техническим причинам социальная сеть Instagram не была привязана. Попробуйте повторить запрос.', 'Ошибка')
                                 break
                         }
                     }
                 } else {
                     this.$router.push('my-loan')
                 }
             }

     }
 },
  mounted () {
    if (this.$user.subscriptionOnGroupInSocialNetwork === true) {
      this.$modal.show('groups-social-network')
    }
    window.addEventListener('message',this.postMessage);

  },

    beforeDestroy () {
       window.removeEventListener('message', this.postMessage);
    }
}
</script>

<style></style>


